FLAM4SEPA-API FLAM4 SEPA Archive Interface (z/OS only)

Data Fields
F4sOut Struct Reference
Data types

Output structure. More...

`#include <FL4SEPA.h>`

## Data Fields
C08 | acRc [F4S_RCLEN]
C08 | acErrorText [F4S_ERRTXTLEN]

## Detailed Description

Output structure.

This structure consists of a two digit return code and 80 bytes of error text. If the error text has been initialized with LOGn, then SYSOUT logging in the defined depth (n=0-9) is activated. Currently, the maximum level is 4 which is used by the update and research function. All other functions have a maximum log level of 3. Additionally, sequential search can be activated for the lookup function with 'SEQ' starting at the 5th byte, which ignores the signature file. This is mainly for verification.

At load, appending (reload) to the archive can be activated if the return code is initialized with '02'.

At lookup, the first digit of the return code can be used to select one of the following options:

- '1' - write the result data set in fixed length (32144)
- '2' - don't initialize the result data set each time
- '3' - '1' and '2' combined

The second digit can be used for:

- '1' - deactivate plausibility check of member names (required for archive older than version 23)
- '2' - don't stop statistics (total match counter) if requested number of matches (MaxResult) found
- '3' - '1' and '2' combined

In case of an error, "12" and an error message is written to these fields.

# The data structure in COBOL

    01 LG-PARMS-OUT.
       05 RETCO           PIC 9(02).
          88  RCOK         VALUE ZERO.
          88  RCNOK        VALUE 12.
       05 ERROR-TEXT      PIC X(80).

## Field Documentation

## ◆ acRc

C08 F4sOut::acRc[F4S_RCLEN]

## ◆ acErrorText

C08 F4sOut::acErrorText[F4S_ERRTXTLEN]

The documentation for this struct was generated from the following file:

- FL4SEPA.h